

function colorizeBg(){
	switch (preferences.bgColor.value){
		case "orange":
			background.colorize = "#FF9900";
			break;
		case "yellow":
			background.colorize = "#CCCC00";
			break;
		case "red":
			background.colorize = "#FF0000";
			break;
		case "jade":
			background.colorize = "#99FF99";
			break;
		case "blue":
			background.colorize = "#0000FF";
			break;
		case "green":
			background.colorize = "#00FF00";
			break;
		case "purple":
			background.colorize = "#BE00BE";
			break;
		case "gray":
			background.colorize = "#CCCCCC";
			break;
		case "bluesteel":
			background.colorize = "#012345";
			break;
		case "custom":
			background.colorize = "#"+preferences.bgCustom.value;
			break;
	}
}


function createImages(){
	sizeAdjust = preferences.size.value / 100;
	mainWindow.height = 201  * sizeAdjust;
	mainWindow.width = 201  * sizeAdjust;

	ContextMenu = new Array();
	
	addDonateMenuItem(ContextMenu);
	addAboutMenuItem(ContextMenu);
	addLicenseMenuItem(ContextMenu);

	mainWindow.contextMenuItems = ContextMenu;
	
	background = new Image();
	with (background){
		src = preferences.dashboard.value + ".png";
		height = 201 * sizeAdjust;
		width = 201 * sizeAdjust;
		vOffset = 0;
		hOffset = 0;
		}

	outerRing = new Image();
	with(outerRing){
		src = "green.png";
		height = 181 * sizeAdjust;
		width = 181 * sizeAdjust;
		vOffset = 101 * sizeAdjust;
		hOffset = 101 * sizeAdjust;
		hRegistrationPoint = 91 * sizeAdjust;
		vRegistrationPoint = 91 * sizeAdjust;
		}

	middleRing = new Image();
	with(middleRing){
		src = "green.png";
		height = 141 * sizeAdjust;
		width = 141 * sizeAdjust;
		vOffset = 101 * sizeAdjust;
		hOffset = 101 * sizeAdjust;
		hRegistrationPoint = 71 * sizeAdjust;
		vRegistrationPoint = 71 * sizeAdjust;
		}

	innerRing = new Image();
	with(innerRing){
		src = "green.png";
		height = 109 * sizeAdjust;
		width = 109 * sizeAdjust;
		vOffset = 101 * sizeAdjust;
		hOffset = 101 * sizeAdjust;
		hRegistrationPoint = 55 * sizeAdjust;
		vRegistrationPoint = 55 * sizeAdjust;
		}

	readout = new Text();
	with (readout){
		font = "Verdana";
		color = "#FFFFFF";
		vOffset = 110 * sizeAdjust;
		hOffset = 70 * sizeAdjust;
		align = "center";
		size = 24 * sizeAdjust;
		if (preferences.readouthidetoggle.value == 1){opacity = 0;}
		}

	labels = new Image();
	with (labels){
		src = "labels.png";
		height = 201 * sizeAdjust;
		width = 201 * sizeAdjust;
		vOffset = 0;
		hOffset = 0;
		}
	
	glare = new Image();
	with (glare){
		src = "glare.png";
		height = 201 * sizeAdjust;
		width = 201 * sizeAdjust;
		vOffset = 0;
		hOffset = 0;
		tracking = 'rectangle';
		opacity = 255; //175
		}

}

function displayStatus(){
	if (develFlag == 0){	signal = system.wireless.signal;}
	else if (develFlag == 1){increment();}
	
	if (system.wireless.available == 0){
		signal = 0;}
	else if (preferences.macStat.value == 'percent'){
		if (system.platform == 'macintosh'){signal = parseInt((signal / 75) * 100);}
		else {signal = signal;}}
	else if (preferences.macStat.value == 'sugary'){
		if (system.platform == 'macintosh'){
			if (signal > 50) {
				signal = parseInt((signal - 50) * 3 + 50);
				if (signal > 100){
					signal = 100;}
			} else {
				signal = parseInt((signal / 75) * 100);
			}
		}else {
			if (signal > 66) {
				signal = parseInt((signal - 66) * 3 + 66);
				if (signal > 100){
					signal = 100;}
			} else {
				signal = signal;
			}			
		}}
	else if (preferences.macStat.value == 'boldfacedlie'){
		if (signal > 50) {
			signal = 100;}
		else {
			signal = parseInt((signal / 75) * 100);}
	}
	
	

	
	if (signal > 100){signal = 100;}
	
	setColor();
	
	if (signal >= 66){
		outerRing.opacity = ((signal-65) / 33) * 255;
		middleRing.opacity = 255;
		innerRing.opacity = 255;
	}
	else if (signal >=33){
		outerRing.opacity = 0;
		middleRing.opacity = ((signal-32) / 33) * 255;
		innerRing.opacity = 255;
	}
	else {
		outerRing.opacity = 0;
		middleRing.opacity = 0;
		innerRing.opacity = (signal / 33) * 255;
	}
	
	
	glare.tooltip = "Network: " + system.wireless.network;
	readout.data = signal+"%";
	readout.hOffset = (mainWindow.width/2) - (readout.width / 2);
	

}

function setColor(){
	if(preferences.ringColor.value == 1){
		if (signal == 100){
			RedDec = 0;
			GreenDec = 255;
		}
		else if (signal >= 50){
			RedDec = parseInt( (((50 - (signal - 50))) / 50) *255);
			GreenDec = 255;
		} else if (signal == 0){
			RedDec = 255;
			GreenDec = 0;
		}
		else {
			RedDec = 255;
			GreenDec = parseInt(((signal / 50) * 100) * 2.55);
		}


		newColor = "#"+getHex(RedDec)+getHex(GreenDec)+"00";

		outerRing.colorize = newColor;
		middleRing.colorize = newColor;
		innerRing.colorize = newColor;
	}
}


function getHex(dec){
	
	hexString = dec.toString(16);
	if (hexString.length == 1){
		hexString = "0"+hexString;
	}
	
	return hexString;
}


function dimmer(){
	if ((hidetoggle == 1) && (signal == 0)){
		if (currentOpacity > 45){
			currentOpacity -= 5;
		} else {
			currentOpacity = 50;
		}
	} else {
		currentOpacity = 255; 
	}

	background.opacity = currentOpacity;
	if (preferences.readouthidetoggle.value != 1){
		readout.opacity = currentOpacity;}
	labels.opacity = currentOpacity;
	glare.opacity = currentOpacity;
}

function startTimer(){
		timer = new Timer();
		if (develFlag == 1) {
			tinterval = .5;}
		else {
			tinterval = preferences.timer.value;}
			
		timer.onTimerFired = "displayStatus(); dimmer();";
		timer.interval = tinterval;
		timer.ticking = true;
	
}

function increment(){
	if (direction == 0){
		signal--;
		if (signal == 0){direction = 1;}
	}else{
		signal++;
		if (signal == 100) {direction = 0;}
	}
}


develFlag = 0;
if (system.platform == 'macintosh'){preferences.macShadow.hidden = false;}
mainWindow.shadow = preferences.macShadow.value;
direction = 1;
signal = 0;
var currentOpacity = 255;
hidetoggle = preferences.hidetoggle.value;
startTimer();
createImages();
displayStatus();
colorizeBg();
